From 88e35082d845ebe6bd54861438bd17a0e84fd7b9 Mon Sep 17 00:00:00 2001
From: Daniele Tricoli <eriol@mornie.org>
Date: Thu, 8 Oct 2015 10:38:40 -0700
Subject: Use sed instead of ed to strip target links

Forwarded: http://sourceforge.net/tracker/?func=detail&aid=3302698&group_id=207724&atid=1002827
Patch-Name: 03_use-sed-instead-of-ed.patch
---
 doc/source/bin/strip_links | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

diff --git a/doc/source/bin/strip_links b/doc/source/bin/strip_links
index cf77ffa..ae90cd1 100755
--- a/doc/source/bin/strip_links
+++ b/doc/source/bin/strip_links
@@ -27,12 +27,7 @@ do
         if true
         then
             mtime=`stat -c '%y' "$filename"`
-            ed -s "$filename" <<-'!'
-		H
-                /^\.\. ADD_LINKS MARKER$/,$d
-		w
-		q
-		!
+            sed -i '/^\.\. ADD_LINKS MARKER$/,$d' "$filename"
 	    #	$; # hush!
 	    #	?^[ 	]*$?; # hush!
 	    #	.,$d
